BEGIN YASRAENJ



IF ~Global("ControlYDivalir","GLOBAL",1)~ THEN BEGIN YSShameOnYouCheater
SAY ~Divalir is dead and gone. He is dead and gone. At his head a grass-green turf; at his heels a stone.~
=
~I am sorry, <CHARNAME>, but I can no longer journey with you. The light of my eyes has been extinguished.~
=
~Farewell.~
IF ~~ THEN DO ~SetGlobal("ControlYDivalir","GLOBAL",2)LeaveParty()DestroySelf()~ EXIT
END



IF ~Global("YasraenaTeleport","GLOBAL",1)~ THEN BEGIN YasraenaEvadesElhan
SAY ~You go to deal with the Elves of Suldanessellar, and though I loathe to do so, I must avoid them.~
=
~I am drow, and that is enough for them. I will meet you in the far northeast, where the Elves will not find me.~
IF ~~ THEN DO ~SetGlobal("YasraenaTeleport","GLOBAL",2)~ EXIT
END

IF ~Global("YasraenaImmyTaken","GLOBAL",1)~ THEN BEGIN YasraenaImmyTaken
SAY ~You took me in, an outcast and a drow, so I can but assume we will set out after your friend.~ [YASRA229]
IF ~~ THEN DO ~SetGlobal("YasraenaImmyTaken","GLOBAL",2)RealSetGlobalTimer("YasraenaTalkTime","GLOBAL",1500)RealSetGlobalTimer("YasraenaGirlTalkTime","GLOBAL",1500)~
EXIT
END



IF ~Global("YasraenaLeavesOverPhaere","GLOBAL",1)~ THEN BEGIN YasraenaLeavesOverPhaere
SAY ~You monstrous fiend! I will take no part in this evil. I will flee this darkness and your wickedness.~
IF ~~ THEN DO ~SetGlobal("YasraenaLeavesOverPhaere","GLOBAL",2)LeaveParty()EscapeArea()~
EXIT
END



IF ~Global("YasraenaNotLeaveUnderdark","GLOBAL",1)~ THEN BEGIN YasraenaNotLeaveUnderdark
SAY ~I cannot leave without my Divalir. You are intent on going your own way, and that is well, but I must therefore return and attempt a rescue alone.~
=
~Fare well.~
IF ~~ THEN DO ~SetGlobal("YasraenaNotLeaveUnderdark","GLOBAL",2)SetGlobal("YSTooRisky","GLOBAL",1)LeaveParty()EscapeArea()~
EXIT
END



IF ~Global("YasraenaLeavesOverDivalir","GLOBAL",1)~ THEN BEGIN YasraenaLeavesOverDivalir
SAY ~<CHARNAME>! You have betrayed me! You have betrayed Divalir and have turned him over to his enemies! Usstan orn kyorl lil dothkarn zirn pholor dosst siltrin!~ [YASRA134]
IF ~~ THEN DO ~AddJournalEntry(@5019,QUEST)SetGlobal("YasraenaLeaveOverDivalir","GLOBAL",2)LeaveParty()Enemy()Attack(LastSeenBy())~
EXIT
END



IF ~Global("YSRomanceConflict","GLOBAL",1)
InParty("Viconia")
Global("ViconiaRomanceActive","GLOBAL",1)~ THEN BEGIN YSViconiaRomanceConflict
SAY ~(Yasraena looks at you and smiles.) Thank you, <CHARNAME>--~
IF ~~ THEN DO ~SetGlobal("YSRomanceConflict","GLOBAL",2)~ EXTERN VICONIJ YSViccyJealous1
END



IF ~Global("YSRomanceConflict","GLOBAL",1)
!InParty("Viconia")
Global("AerieRomanceActive","GLOBAL",1)~ THEN BEGIN YSAerieRomanceConflict
SAY ~(Yasraena approaches you with an obvious question on her lips.) <CHARNAME>--~
IF ~~ THEN DO ~SetGlobal("YSRomanceConflict","GLOBAL",2)~ EXTERN AERIEJ YSAerieJealous1
END



IF ~Global("YSRomanceConflict","GLOBAL",1)
!InParty("Viconia")
!InParty("Aerie")
InParty("Jaheira")
Global("JaheiraRomanceActive","GLOBAL",1)~ THEN BEGIN YSJaheiraRomanceConflict
SAY ~(You have been watching Yasraena for some time, when Jaheira approaches you.)~
IF ~~ THEN DO ~SetGlobal("YSRomanceConflict","GLOBAL",2)~ EXTERN JAHEIRAJ YSJaheiraRomanceConflict1
END



IF ~Global("YSRomanceComfort","GLOBAL",1)
InParty("Viconia")
Global("ViconiaRomanceActive","GLOBAL",1)!Global("ViccyRomanceSafe","GLOBAL",1)~ THEN BEGIN YSViconiaRomanceComfort
SAY ~(You have been watching Yasraena for some time, but she studiously avoids your glance. You start when Viconia approaches you.)~
IF ~~ THEN DO ~SetGlobal("YSRomanceComfort","GLOBAL",2)~ EXTERN VICONIJ YSViconiaRomanceComfort1
END



IF ~Global("YSRomanceComfort","GLOBAL",1)
InParty("Viconia")
Global("ViconiaRomanceActive","GLOBAL",1)Global("ViccyRomanceSafe","GLOBAL",1)~ THEN BEGIN YSViconiaRomanceComfortb
SAY ~(You have been watching Yasraena for some time, but she studiously avoids your glance. You start when Viconia approaches you.)~
IF ~~ THEN DO ~SetGlobal("YSRomanceComfort","GLOBAL",2)~ EXTERN VICONIJ YSViconiaRomanceComfort1b
END



IF ~Global("YSRomanceComfort","GLOBAL",1)
!InParty("Viconia")
InParty("Jaheira")
Global("JaheiraRomanceActive","GLOBAL",1)~ THEN BEGIN YSJaheiraRomanceComfort
SAY ~(You have been watching Yasraena for some time, but she studiously avoids your glance. You start when Jaheira approaches you.)~
IF ~~ THEN DO ~SetGlobal("YSRomanceComfort","GLOBAL",2)~ EXTERN JAHEIRAJ YSJaheiraRomanceComfort1
END



IF ~Global("YSRomanceComfort","GLOBAL",1)
!InParty("Viconia")
!InParty("Jaheira")
InParty("Aerie")
Global("AerieRomanceActive","GLOBAL",1)~ THEN BEGIN YSAerieRomanceComfort
SAY ~(You have been watching Yasraena for some time, but she studiously avoids your glance. You start when Aerie approaches you.)~
IF ~~ THEN DO ~SetGlobal("YSRomanceComfort","GLOBAL",2)~ EXTERN AERIEJ YSAerieRomanceComfort1
END



IF ~Global("YasraenaSpellhold","GLOBAL",1)~ THEN BEGIN YasraenaSpellhold
SAY ~<CHARNAME>, you have succeeded. You have kept your word and at great risk have come for Imoen. Your friendship is steadfast.~ [YASRA135]
=
~Usstan kestal flohlu dosst inth lueth naut hojh Divalir.~
IF ~~ THEN DO ~SetGlobal("YasraenaSpellhold","GLOBAL",2)~
EXIT
END

IF ~Global("YasraenaUstNathaClue","GLOBAL",1)~ THEN BEGIN YasraenaUstNathaClue
SAY ~<CHARNAME>! I recognize this speech! These drow have the same dialect of Deep Drow as those who captured Divalir.~
=
~He must be somewhere within this city! Come, we must search for him. Perhaps he is imprisoned--or even enslaved!~
=
~We must hurry!~
IF ~~ THEN DO ~SetGlobal("YasraenaUstNathaClue","GLOBAL",2)~
EXIT
END


IF ~Global("YasraenaUnderdark","GLOBAL",1)~ THEN BEGIN YasraenaUnderdark
SAY ~I never thought I would tread these dark tunnels again. <CHARNAME>, be wary. Though this place is unfamiliar to me, yet I can see the signs of drow activity.~
=
~They are near.~
IF ~~ THEN DO ~SetGlobal("YasraenaUnderdark","GLOBAL",2)~
EXIT
END

IF ~Global("YasraenaIllithidLair","GLOBAL",1)~ THEN BEGIN YasraenaIllithidLair
SAY ~This explains the psychic energies we encountered just outside. <CHARNAME>, this is a lair of devourers!~
=
~I recognize the architecture and their symbols of death and pain! We must leave immediately!~
IF ~~ THEN DO ~SetGlobal("YasraenaIllithidLair","GLOBAL",2)~
EXIT
END

IF ~Global("YasraenaSuldan","GLOBAL",1)~ THEN BEGIN YasraenaSuldan
SAY ~Suldanessellar? The home of Divalir! Though I see it in war, yet it rejoices my heart.~
IF ~~ THEN DO ~SetGlobal("YasraenaSuldan","GLOBAL",2)~
EXIT
END

IF
~Global("YasraenaSvirfObjection","GLOBAL",1)~ THEN BEGIN YasraenaSvirfObjection
SAY ~<CHARNAME>, I will not be part of any more drow raids.~ [YASRA166]
=
~Do not slaughter these svirfneblin.~
IF ~~ THEN DO ~SetGlobal("YasraenaSvirfObjection","GLOBAL",2)~ EXIT
END

IF
~Global("YasraenaLeavesOverSvirf","GLOBAL",1)~ THEN BEGIN YasraenaLeavesOverSvirf
SAY ~Blackguard! You have forced me into the very thing I have spent all this time fleeing!~ [YASRA167]
=
~Cha'kohk dos whol nindol! I hope you rot in these sunless depths, for here you truly belong!~
IF ~~ THEN DO ~SetGlobal("YasraenaLeavesOverSvirf","GLOBAL",2)LeaveParty()EscapeArea()~ EXIT
END


IF ~IsGabber(Player1)
CombatCounter(0)~ THEN BEGIN YasraenaChatsSOA
SAY ~(Your eyes fall on Yasraena, the renegade drow under your protection.)~
+ ~RandomNum(4,1)~ + ~How do you feel, Yasraena?~ + YasraenaChat1SOA1
+ ~RandomNum(4,2)~ + ~How do you feel, Yasraena?~ + YasraenaChat1SOA2
+ ~RandomNum(4,3)~ + ~How do you feel, Yasraena?~ + YasraenaChat1SOA3
+ ~RandomNum(4,4)~ + ~How do you feel, Yasraena?~ + YasraenaChat1SOA4

+ ~RandomNum(4,1)~ + ~Tell me a tale of the Underdark.~ + YasraenaChat2SOA1
+ ~RandomNum(4,2)~ + ~Tell me a tale of the Underdark.~ + YasraenaChat2SOA2
+ ~RandomNum(4,3)~ + ~Tell me a tale of the Underdark.~ + YasraenaChat2SOA3
+ ~RandomNum(4,4)~ + ~Tell me a tale of the Underdark.~ + YasraenaChat2SOA4

+ ~RandomNum(4,1)~ + ~What is the greatest battle you have fought?~ + YasraenaChat3SOA1
+ ~RandomNum(4,2)~ + ~What is the greatest battle you have fought?~ + YasraenaChat3SOA2
+ ~RandomNum(4,3)~ + ~What is the greatest battle you have fought?~ + YasraenaChat3SOA3
+ ~RandomNum(4,4)~ + ~What is the greatest battle you have fought?~ + YasraenaChat3SOA4

+ ~RandomNum(4,1)~ + ~Tell me something about your childhood.~ + YasraenaChat4SOA1
+ ~RandomNum(4,2)~ + ~Tell me something about your childhood.~ + YasraenaChat4SOA2
+ ~RandomNum(4,3)~ + ~Tell me something about your childhood.~ + YasraenaChat4SOA3
+ ~RandomNum(4,4)~ + ~Tell me something about your childhood.~ + YasraenaChat4SOA4

+ ~RandomNum(4,1)~ + ~What do you like to do, Yasraena?~ + YasraenaChat5SOA1
+ ~RandomNum(4,2)~ + ~What do you like to do, Yasraena?~ + YasraenaChat5SOA2
+ ~RandomNum(4,3)~ + ~What do you like to do, Yasraena?~ + YasraenaChat5SOA3
+ ~RandomNum(4,4)~ + ~What do you like to do, Yasraena?~ + YasraenaChat5SOA4

+ ~Global("YasraenaRA","GLOBAL",1)RandomNum(4,1)~ + ~(Touch Yasraena's hair.)~ + YasraenaChat6SOA1
+ ~Global("YasraenaRA","GLOBAL",1)RandomNum(4,2)~ + ~(Touch Yasraena's hair.)~ + YasraenaChat6SOA2
+ ~Global("YasraenaRA","GLOBAL",1)RandomNum(4,3)~ + ~(Touch Yasraena's hair.)~ + YasraenaChat6SOA3
+ ~Global("YasraenaRA","GLOBAL",1)RandomNum(4,4)~ + ~(Touch Yasraena's hair.)~ + YasraenaChat6SOA4

+ ~Global("YasraenaRA","GLOBAL",1)RandomNum(4,1)~ + ~(Wink at Yasraena.)~ + YasraenaChat7SOA1
+ ~Global("YasraenaRA","GLOBAL",1)RandomNum(4,2)~ + ~(Wink at Yasraena.)~ + YasraenaChat7SOA2
+ ~Global("YasraenaRA","GLOBAL",1)RandomNum(4,3)~ + ~(Wink at Yasraena.)~ + YasraenaChat7SOA3
+ ~Global("YasraenaRA","GLOBAL",1)RandomNum(4,4)~ + ~(Wink at Yasraena.)~ + YasraenaChat7SOA4

+ ~Global("ViconiaRomanceActive","GLOBAL",1)Global("YasraenaRA","GLOBAL",1)~ + ~Yasraena, I think you have the wrong idea. I am involved with Viconia.~ + YasraenaBreakup

+ ~AreaCheck("AR2200")~ + ~You seem uncomfortable here, Yasraena.~ + YasraenaUstNathaChat

++ ~There's something wrong with you, Yasraena.~ + YasraenaChatFixer

+ ~Global("YasraenaRA","GLOBAL",1)GlobalGT("YasraenaTalk","LOCALS",24)~ + ~(Kiss Yasraena.)~ + YasraenaKissSOA
END

IF ~~ THEN BEGIN YasraenaChat1SOA1
 SAY ~Feel? (Yasraena glances up to the sky and quickly looks back down.)~ [YASRA142]
 =
 ~I feel dangerously exposed. I feel, too, as though I might fall--off.~
 IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN YasraenaChat1SOA2
 SAY ~I feel alone. (Yasraena's crimson eyes are half-closed, and she does not look up at you.)~ [YASRA143]
 IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN YasraenaChat1SOA3
 SAY ~Why do you ask me this? (Yasraena is obviously puzzled.)~ [YASRA144]
 =
 ~Has my performance been unsatisfactory? Have I failed in some way?~
 ++ ~No, of course not. I just wanted to know if you were all right.~ + YasraenaChat1SOA3_1
 ++ ~(Wink.) Yes, I think you missed completely gutting your last foe. He only fell into two pieces.~ + YasraenaChat1SOA3_2
END

IF ~~ THEN BEGIN YasraenaChat1SOA3_1
SAY ~Then I am fine. (Yasraena twists a lock of her white hair around one finger as she returns to her place, obviously still unused to the surface courtesies.)~
 IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN YasraenaChat1SOA3_2
SAY ~(The flash of Yasraena's deep red eyes shows you have offended her, but she says nothing as she returns to her place in formation.)~
IF ~~ THEN EXIT
END


IF ~~ THEN BEGIN YasraenaChat1SOA4
 SAY ~Uneasy. I feel as though eyes are upon us. We should tread most carefully.~ [YASRA145]
 IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN YasraenaChat2SOA1
 SAY ~My city of Menzoberranzan is, despite its evil, a lovely city. Loveliest of all is Narbondel, the timekeeping light of the city.~ [YASRA146]
 =
 ~It is a tall pillar, standing in the center of the city. Every *day* at the beginning of the cycle, the chief wizard of Sorcere comes and sets it alight.~
 =
 ~Its light is akin to faerie fire, dancing and beautiful, but not a hindrance to our infravision.~
 =
 ~I have sat and watched it for minutes together, tracing the paths of the colors as they intertwine. It is almost beautiful enough to make me forget what it lights.~
 =
 ~Menzoberranzan.~
 IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN YasraenaChat2SOA2
 SAY ~Tales of the Underdark are all unpleasant. The creatures are the stuff of nightmares, and my own people are the worst.~ [YASRA147]
 =
 ~You will excuse me.~
 IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN YasraenaChat2SOA3
 SAY ~Once, when I was part of a foray into the Deeps, I entered the Cavern of a Thousand Voices.~ [YASRA148]
 =
 ~It stretched nearly half a mile across, and it was the source of the underground river which gave the cave its name.~
 =
 ~The ceiling glittered with the lights of tens of thousands of gems, scattered here and there as though by natural chance.~
 =
 ~This sight was reflected in the glassy blackness of the lake beneath. It was breathtaking.~
 =
 ~I would have stayed there hours to simply look at the gems, but we could not tarry.~
 =
 ~Like all the Underdark, the Cavern of a Thousand Voices holds evil in its heart.~
 =
 ~That lake is the dwelling of an ancient Shadowdragon.~
 IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN YasraenaChat2SOA4
 SAY ~The Underdark is a place of slaves. All who dwell there are slaves to something, even if only to fear.~ [YASRA149]
 =
 ~I myself could never be free so long as I lived there, and my life was easier than many.~
 IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN YasraenaChat3SOA1
 SAY ~(Yasraena shudders involuntarily.)~
 =
 ~Do not ask me to speak of *that*, <CHARNAME>.~ [YASRA150]
 IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN YasraenaChat3SOA2
 SAY ~There was a most memorable battle that I fought in my second month at Melee Magthere.~ [YASRA151]
 =
 ~I was but fifteen years old, and I had not had much training beyond what I had taught myself.~
 =
 ~Master Divalir had lent me a pair of short swords. They were slightly enchanted, and I was fascinated by them.~
 =
 ~I did not understand why he pressed them upon me, but I learned later. As I was returning from the sparring room to my chamber for the night, I was attacked.~
 =
 ~It was one of the intelligent sort of zombies--juju zombies are they called?--which can be given specific orders.~
 =
 ~This one's order was to kill the Arkhenneld Elderboy, that is, me in my disguise.~
 =
 ~I fought the monster and defeated it. The battle was brief, for if it had been long I should have been lost. Zombies do not tire.~
 =
 ~It was only later that I learned that only enchanted weapons can strike such creatures.~
 =
 ~My master knew of the plot against me, though at that time he knew me only as Elderboy of House Arkhenneld, and he saved me.~
 IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN YasraenaChat3SOA3
 SAY ~When I had been three years at Melee Magthere I was given the responsibility of participating in one of the tunnel patrols.~ [YASRA152]
 =
 ~We had scarcely been two days out when we met a group of three umberhulks. We numbered only five, all warriors, not a spellcaster among us.~
 =
 ~I leapt onto the back of the first one and dug my blades into the gap between his head plating and his armor-hide.~
 =
 ~I thrust them in so deep that I was hanging from the back of the beast. Fortunately, I had escaped its gaze by leaping over it.~
 =
 ~Two of my companions succumbed to the beasts' confusion, but the other two were able to combine on one of the umberhulks.~
 =
 ~They brought it down in seven passes. That left three of us, both of my living companions injured, and one uninjured umberhulk.~
 =
 ~We circled it, and it charged at the more wounded of my companions. I used the opportunity to slip under its claws.~
 =
 ~I was within the circle of its arms, but I was too close for it to use its claws to best effect. I managed to get my blades in one of its eyes.~
 =
 ~At the same moment, my companions both struck. One hit beneath the armor plating of the beast's hide.~
 =
 ~We had won. Only two of us survived the journey back to Menzoberranzan.~
 IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN YasraenaChat3SOA4
 SAY ~I had crept off from the buildings of the academy. My position by this time was rather peculiar.~ [YASRA153]
 =
 ~Most of the masters knew by then that I was a female. This placed them in the awkward situation of having to discipline a noble female.~
 =
 ~Most feared to do so. Some reveled in the opportunity. Regardless, I had more freedom than most students.~
 =
 ~That night I had a tryst to keep, and it was in the tunnels, the only place to meet unobserved.~
 =
 ~I found that this tunnel was occupied by a giant spider, one three times my height and with legs as sharp as swords.~
 =
 ~It saw me, and I knew that it hated me. Spiders are sacred to Lolth, and this one was intelligent. It could report me.~
 =
 ~It saw the fear of discovery in my eyes and pounced. I barely managed to escape its impaling leap. Had I not done so, I would certainly have died.~
 =
 ~As it was, the leap left an opening which I exploited. I wounded it deeply enough in that moment to somewhat even the odds.~
 =
 ~The battle lasted long, and in the end I was victorious, but poisoned.~
 =
 ~My master Divalir was the one who found and revived me.~
 IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN YasraenaChat4SOA1
 SAY ~My childhood was most unusual for a drow female.~ [YASRA154]
 =
 ~Rather than being pampered and trained in the elements of the Spider Queen's service, I was kept out of sight.~
 =
 ~I was treated relatively well because I was a female, but Lolth had rejected me, refusing to take another priestess of my mother's blood.~
 =
 ~My mother did not learn why for many years. By that time, my training as a warrior had already begun.~
 IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN YasraenaChat4SOA2
 SAY ~I had to pretend to be a male for a large portion of my minority. It was not a pleasant experience.~ [YASRA155]
 =
 ~It did at least teach me that if males are inferior, it is because we have taught them to be so.~
 IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN YasraenaChat4SOA3
 SAY ~I did not have much of a childhood. I was constantly hidden, and even my name was not spoken.~ [YASRA156]
 =
 ~When I left my House compound for the first time, I was called Elderboy. For the next fifteen years the name of Yasraena was spoken by only a single pair of lips.~
 IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN YasraenaChat4SOA4
 SAY ~I had a pet lizard once, when I was still very young. It was the most interesting mix of yellow and blues in my infravision.~ [YASRA157]
 =
 ~I kept it for nearly six months. Then my fourth sister found out about it and fed it to her snake-whip.~
 IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN YasraenaChat5SOA1
 SAY ~Like to do? In the Underdark I had little time for pleasure; I was training at Melee Magthere, always involved in some training or other.~ [YASRA158]
 =
 ~I suppose that is part of the reason why I learned to enjoy my sword-dance more than most anything else.~
 IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN YasraenaChat5SOA2
 SAY ~It is still so new to me that I cannot be certain of it, but I think that I will enjoy star-gazing.~ [YASRA159]
 IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN YasraenaChat5SOA3
 SAY ~I like to hear the music of a harp. I had heard it but twice or thrice in all my life in the Underdark, but the music was intoxicatingly beautiful.~ [YASRA160]
 =
 ~(Yasraena, seeming to feel she has said too much, does not speak again for more than an hour.)~
 IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN YasraenaChat5SOA4
 SAY ~I greatly enjoy the pleasures of the bedchamber. (Yasraena's eyes are glowing like embers, but the light is not a happy one.)~ [YASRA161]
 =
 ~It is long since I have had a mate to share my bed.~
 IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN YasraenaChat6SOA1
 SAY ~(Your fingers scarcely brush against the silky white of Yasraena's hair before she tosses her head.)~
 =
 ~(She is obviously unaware of your action, but the feel of her tresses sliding through your fingers is one you do not soon forget.)~
 IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN YasraenaChat6SOA2
 SAY ~(Yasraena has stopped to untwist a lock of her hair from her armor joints. You slip your fingers under hers and release the tress.)~
 =
 ~(Yasraena takes in her breath sharply at the touch of your hand, and she is even more silent than usual thereafter.)~
 IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN YasraenaChat6SOA3
 SAY ~(You manage to claim the place by Yasraena's side, and, after a decent interval, you slyly stroke the snowy tresses that lie draped over her shoulder.)~
 =
 ~(Yasraena does not notice you, and you enjoy twining the white silk through your fingers until you are obliged to shift positions.)~
 IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN YasraenaChat6SOA4
 SAY ~(You take a lock of Yasraena's hair and bring it to your lips.)~
 =
 ~Oh. (Yasraena frees her hair from you with a nod of apology, obviously thinking she has struck your face with her hair.)~ 
 =
 ~I ought to keep my hair more tightly bound.~ [YASRA162]
 IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN YasraenaChat7SOA1
 SAY ~(Yasraena looks at you blankly, not understanding your intent.)~
 IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN YasraenaChat7SOA2
 SAY ~Have you something in your eye, <CHARNAME>?~ [YASRA163]
 ++ ~Yes. (Rub your eye.)~ + YasraenaChat7SOA2_1
 ++ ~No, I was winking at you. It is a sign of camaraderie, you know.~ + YasraenaChat7SOA2_2
 END

IF ~~ THEN BEGIN YasraenaChat7SOA2_1
SAY ~Ah. (Yasraena turns away, wholly unsuspicious of your deception.)~
 IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN YasraenaChat7SOA2_2
SAY ~Oh yes. I forget. It is not something we often express in the Underdark.~
IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN YasraenaChat7SOA3
 SAY ~Does the light blind even you?~ [YASRA164]
 IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN YasraenaChat7SOA4
 SAY ~(Yasraena smiles slowly and uneasily, as though suddenly remembering the appropriate response to your gesture.)~
 IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN YasraenaBreakup
SAY ~What do you mean? I have a ssinssrig, and it is *not* you.~
=
~Divalir holds my heart. (Yasraena shakes her head, puzzled.)~
=
~Still, I thank you for the courtesy.~
IF ~~ THEN DO ~SetGlobal("YasraenaRA","GLOBAL",3)SetGlobal("ViccyRomanceSafe","GLOBAL",1)~
EXIT
END

IF ~~ THEN BEGIN YasraenaChatFixer
 SAY ~I'll try to do something about that.~
 IF ~~ THEN DO ~StartCutScene("YSFIX")~ EXIT
END

IF ~~ THEN BEGIN YasraenaKissSOA
 SAY ~<CHARNAME>! Unboi tarthe dal ussa, jaluk! Lu'oh kuuv dos xta'rl ussa!~  [YASRA228]
 =
 ~Why have you done this?~
 ++ ~But, Yasraena, do you not love me?~ GOTO YasraenaKissSOA1
 ++ ~What do you mean? Have you been leading me on?~ GOTO YasraenaKissSOA2
 ++ ~Don't play coy with me, Yasraena. (Wink.)~ GOTO YasraenaKissSOA3
END

IF ~~ THEN BEGIN YasraenaKissSOA1
 SAY ~No!~
 =
 ~<CHARNAME>, you must understand that I love Divalir. Any attention I have shown you was in rough imitation of what I thought surfacer friendships should be.~
 =
 ~ I shall reproach myself for not being more guarded. I am sorry for this misunderstanding.~
 =
 ~We must redefine the nature of our association. Perhaps I should leave.~
 ++ ~No, Yasraena. I would like to keep your friendship at least.~ GOTO YasraenaKissSOA1a
 ++ ~No, Yasraena. Please stay.~ GOTO YasraenaKissSOA1b
 ++ ~Perhaps it would be best.~ GOTO YasraenaKissSOA1c
 ++ ~You knew exactly what you were doing, you tease! You just led me on and have left me hanging!~ GOTO YasraenaKissSOA1d
 ++ ~I'm so sick of hearing about that Divalir bastard! I hope he rots in an unmarked grave!~ GOTO YasraenaKissSOA1e
END

IF ~~ THEN BEGIN YasraenaKissSOA1a
SAY ~Very well. (Yasraena's face relaxes ever-so-slightly.)~
=
~I know that your lot is difficult. I would not wish to tantalize you with what can never, never be.~
=
~But I am pleased to remain with you as a companion.~
IF ~~ THEN DO ~SetGlobal("YasraenaRA","GLOBAL",3)~
EXIT
END

IF ~~ THEN BEGIN YasraenaKissSOA1b
SAY ~(Yasraena's eyes are still two crimson flames.) But under what circumstances?~
=
~Can you accept my friendship only, know that there can be nothing more?~
=
~Or ought I to go?~
++ ~I can accept it.~ GOTO YasraenaKissSOA1a
++ ~No, I cannot accept your mere friendship.~ GOTO YasraenaKissSOA1c
END

IF ~~ THEN BEGIN YasraenaKissSOA1c
SAY ~(Yasraena nods.) Yes, this is best.~
=
~(She turns and walks away from you. She does not look back. Yasraena Arkhenneld is lost to you.)~
IF ~~ THEN DO ~SetGlobal("YasraenaRA","GLOBAL",3)LeaveParty()EscapeArea()~
EXIT
END

IF ~~ THEN BEGIN YasraenaKissSOA1d
SAY ~I did not tease you, <CHARNAME>. If you do not believe that I would not treat you so, believe at least that I would not so dishonor Divalir.~
=
~I shall leave now and trouble you no more.~
IF ~~ THEN DO ~SetGlobal("YasraenaRA","GLOBAL",3)LeaveParty()EscapeArea()~
EXIT
END

IF ~~ THEN BEGIN YasraenaKissSOA1e
SAY ~Xal Lolth's cha-kohk tlu pholor dos!~
=
~No one speaks so of Divalir!~
IF ~~ THEN DO ~SetGlobal("PCBetrayedYasraena","GLOBAL",1)LeaveParty()Enemy()EquipMostDamagingMelee()Attack(LastSeenBy())~ EXIT
END

IF ~~ THEN BEGIN YasraenaKissSOA2
 SAY ~Leading you on? This is a concept I do not know. I am drow; what male I want, I take.~
 =
 ~<CHARNAME>, you must understand that I love Divalir. Any attention I have shown you was in rough imitation of what I thought surfacer friendships should be.~
 =
 ~ I shall reproach myself for not being more guarded. I am sorry for this misunderstanding.~
 =
 ~We must redefine the nature of our association. Perhaps I should leave.~
 ++ ~No, Yasraena. I would like to keep your friendship at least.~ GOTO YasraenaKissSOA1a
 ++ ~No, Yasraena. Please stay.~ GOTO YasraenaKissSOA1b
 ++ ~Perhaps it would be best.~ GOTO YasraenaKissSOA1c
 ++ ~You knew exactly what you were doing, you tease! You just led me on and have left me hanging!~ GOTO YasraenaKissSOA1d
 ++ ~I'm so sick of hearing about that Divalir bastard! I hope he rots in an unmarked grave!~ GOTO YasraenaKissSOA1e
END

IF ~~ THEN BEGIN YasraenaKissSOA3
 SAY ~Coy? Drow females are never coy, and I despise dishonesty!~
 =
 ~<CHARNAME>, you must understand that I love Divalir. Any attention I have shown you was in rough imitation of what I thought surfacer friendships should be.~
 =
 ~ I shall reproach myself for not being more guarded. I am sorry for this misunderstanding.~
 =
 ~We must redefine the nature of our association. Perhaps I should leave.~
 ++ ~No, Yasraena. I would like to keep your friendship at least.~ GOTO YasraenaKissSOA1a
 ++ ~No, Yasraena. Please stay.~ GOTO YasraenaKissSOA1b
 ++ ~Perhaps it would be best.~ GOTO YasraenaKissSOA1c
 ++ ~You knew exactly what you were doing, you tease! You just led me on and have left me hanging!~ GOTO YasraenaKissSOA1d
 ++ ~I'm so sick of hearing about that Divalir bastard! I hope he rots in an unmarked grave!~ GOTO YasraenaKissSOA1e
END

IF ~~ THEN BEGIN YasraenaUstNathaChat
 SAY ~You are correct, <CHARNAME>. I *am* ill-at-ease. This place holds too many echoes of my past for me to be otherwise.~ [YASRA231]
 =
 ~It is not Menzoberranzan, but this drow city reeks of the Spider Queen. Everywhere I look I see the same things that revolted me in my home.~
 =
 ~I see the slaves, the priestesses, the males with their eyes on the ground, and it sickens me.~
 =
 ~Yet I remember, too, the comfort of the cavern roofs, the beauty of the drow architecture, the sweet sounds of my mother-tongue.~
 =
 ~I remember the joys I had in Menzoberranzan, and I am lost. I do not know what to do. It is most unsettling.~
 IF ~~ THEN EXIT
 END



INTERJECT_COPY_TRANS COHRVALE 1 YasraenaCohrvale
== YASRAENJ   IF ~InParty("Yasraena")~ THEN
 ~You would *dare* to speak so to a drow?~
 == COHRVALE
 ~Move!~
END



INTERJECT_COPY_TRANS NALIA 51 YasraenaNaliaFather
== YASRAENJ   IF ~InParty("Yasraena")~ THEN
 ~He stayed to cover the retreat, as a male should.~
END



INTERJECT_COPY_TRANS COPGREET 1 YasraenaFrankie
== YASRAENJ   IF ~InParty("Yasraena")~ THEN
 ~A drow would be quite at home here.~
END



INTERJECT_COPY_TRANS HENDAK 17 YasraenaHendak
== YASRAENJ   IF ~InParty("Yasraena")~ THEN
 ~Ah. Achieved revenge is very sweet.~
END



INTERJECT_COPY_TRANS FIRAMB01 2 YasraenaWindspearWerewolf
== YASRAENJ   IF ~InParty("Yasraena")~ THEN
 ~Yours!~
== FIRAMB01
 ~Ah-ha! Fiesty blood is the best!~
END



I_C_T2 TRGRD03 9 YasraenaTradmeetGuard
== YASRAENJ   IF ~InParty("Yasraena")~ THEN
 ~<CHARNAME>, if the townspeople are suspicious of outsiders, then we should be wary. A drow is likely to make matters worse.~
END



INTERJECT_COPY_TRANS SLAVERM 0 YasraenaSlaverMage
== YASRAENJ   IF ~InParty("Yasraena")~ THEN
 ~Bribes and corruption? What difference is there, then, between the surface and the drow?~
==SLAVERM
~Drow?!~
END



INTERJECT_COPY_TRANS LYROS 24 YasraenaXzar
== YASRAENJ   IF ~InParty("Yasraena")~ THEN
 ~Keep talking, mage. Your insults will put you in an early grave.~
== LYROS
 ~Silence, drow wench! I am speaking to <CHARNAME>.~
END



INTERJECT_COPY_TRANS DELCIA 0 YasraenaDelcia1
== YASRAENJ   IF ~InParty("Yasraena")~ THEN
 ~I cannot decide whether it is refreshing or not to hear again a female speaking in this manner.~
== DELCIA
 ~You decide nothing for yourselves. We are your superiors. We rule your lives.~
END



INTERJECT_COPY_TRANS DELCIA 17 YasraenaDelcia2
== YASRAENJ   IF ~InParty("Yasraena")~ THEN
 ~I cannot decide whether it is refreshing or not to hear again a female speaking in this manner.~
END



INTERJECT_COPY_TRANS NALIAJ 169 YasraenaNaliaMaleHeir
== YASRAENJ   IF ~InParty("Yasraena")~ THEN
 ~The *male*?! There is such a thing as a male heir?~
== NALIAJ
 ~(Exasperated.) Yes, my dear drow. There is. Not everywhere is like your dark home.~
END



INTERJECT_COPY_TRANS SAMIA 24 YasraenaSamia
== YASRAENJ   IF ~InParty("Yasraena")~ THEN
 ~You are the fool if you think you can defeat a group who has successfully made it through this death-trap!~
END



INTERJECT_COPY_TRANS IMOEN2 22 YasraenaImoenAbandoned
== YASRAENJ   IF ~InParty("Yasraena")~ THEN
 ~<CHARNAME>, you cannot mean this! You would battle so much, journey so far, brave such dangers, only to abandon her!~
 =
 ~It is too much! Let her have my place if you must. Do not leave her here!~
END



INTERJECT_COPY_TRANS YUSUF 2 YasraenaYusuf
== YASRAENJ IF ~InParty("Yasraena")~ THEN
~Anomen! Butcher of defenseless children! Xal Lolth's cha-kohk tlu pholor dos!~
END



INTERJECT_COPY_TRANS PPSAEM 58 YasraenaSaemon
== YASRAENJ   IF ~InParty("Yasraena")~ THEN
 ~I am too long from the Underdark. Betrayal at the hands of our hireling--Usstan zhal'la inbal keffal nindol doerin.~
END



INTERJECT_COPY_TRANS GARREN 23 YasraenaGarren
== YASRAENJ   IF ~InParty("Yasraena")~ THEN
 ~As a renegade drow on the surface, I can ill afford more people hunting me.~
== GARREN
 ~No need to worry. I will go immediately to speak with the knights.~
END



INTERJECT_COPY_TRANS TOLGER 80 YasraenaTolgerias1
== YASRAENJ   IF ~InParty("Yasraena")~ THEN
 ~Rather foolish than traitorous! We shall never turn a comrade over to you!~
END



INTERJECT_COPY_TRANS UDSILVER 34 YasraenaAdalon
== YASRAENJ   IF ~InParty("Yasraena")~ THEN
 ~Alas, this magic is wasted on me, for already I bear the likeness of a drow.~
 =
 ~But I refuse to have the heart of a drow.~
END



INTERJECT_COPY_TRANS VICONI 2 YasraenaViconiaJoin
== YASRAENJ   IF ~InParty("Yasraena")~ THEN
  ~I have no right to speak, for you took me in. (Yasraena's eyes are troubled.)~
  =
  ~Still, I am wary of those of House DeVir.~
END



INTERJECT_COPY_TRANS JUGDAR01 2 YasraenaDaar
== YASRAENJ   IF ~InParty("Yasraena")~ THEN
 ~A male dares to stand in the way of a female's choice of mate?~
END



INTERJECT_COPY_TRANS ANOMENJ 52 YasraenaAnoSis
== YASRAENJ   IF ~InParty("Yasraena")~ THEN
 ~This is a difficult decision? (Yasraena is greatly struck by this.)~
 =
 ~There would have been no hesitation had you been a drow male. Usstan inbal mzilt quin screa.~
 == ANOMENJ
 ~(Anomen looks back at you.)~
END



INTERJECT_COPY_TRANS KELDORJ 23 YasraenaMariaAdultery
== YASRAENJ IF ~InParty("Yasraena")~ THEN
~This is forbidden by the law? It is wonderful that such expectations of fidelity exist.~
=
~That she should have broken them cheapens all such vows.~
END



INTERJECT_COPY_TRANS VALYGAR 5 YasraenaValygarWanted
== YASRAENJ   IF ~InParty("Yasraena")~ THEN
 ~We cannot, then, continue to work for the Cowled Wizards. We must not injure an innocent. We would be no better than a priestess of Lolth.~
== VALYGAR
~(The ranger glances gratefully at the drow.)~
END



INTERJECT_COPY_TRANS HERVO 11 YasraenaHervo
== YASRAENJ IF ~InParty("Yasraena")~ THEN
~If he is accused falsely then he needs our help. I, too, know the sting of unjust suspicion. We must aid him if we can.~
END



INTERJECT_COPY_TRANS ISAEA 28 YasraenaNaliaKidnap
== YASRAENJ IF ~InParty("Yasraena")~ THEN
~This is incredible! Such audacity in a male! We must find a way to free Nalia, <CHARNAME>.~
=
~This cannot be allowed to continue.~
END


INTERJECT_COPY_TRANS SPPAIN 0 YasraenaPaina
== YASRAENJ IF ~InParty("Yasraena")~ THEN
~You--you are a half-drow!~
== SPPAIN
~Even here the stupid blood prejudice of the drow follow me.~
== YASRAENJ 
~(Yasraena seems oblivious to the half-drow's venom.) How did you come to be here? Who--how were you born? How--~
== SPPAIN
~Insolent! I shall answer none of your questions except to say that violent was my conception, violent my birth, and violence is what keeps me here.~
== YASRAENJ
~(Yasraena is suddenly silent.)~
== SPPAIN
~(The strange half-drow turns back to you.)~
END


INTERJECT UDSVIR01 4 YasraenaSvirfVillage
== YASRAENJ IF ~InParty("Yasraena")
!InParty("Viconia")
See("Yasraena")~ THEN
~(Yasraena's eyes flash up the gnome's face, but she looks away almost at once.)~
COPY_TRANS UDSVIR01 5



ADD_TRANS_TRIGGER C6ELHAN2 83 ~!InParty("Yasraena")~ DO 0 1

INTERJECT C6ELHAN2 83 YasraenaSeesSuldan
== YASRAENJ IF ~InParty("Yasraena")
!InParty("Viconia")
See("Yasraena")~ THEN
~(Yasraena's crimson eyes are fixed on Elhan's face, but she waits for him to speak.)~
END C6ELHAN2 85

INTERJECT C6ELHAN2 83 YasraenaSeesSuldan2
== YASRAENJ IF ~InParty("Yasraena")
InParty("Viconia")
See("Yasraena")~ THEN
~(Yasraena's crimson eyes are fixed on Elhan's face, and she waits for him to speak.)~
== C6ELHAN2
~Keep those Drow of yours under guard. None of their kind has seen the beauty of an elven city since their fall. I would blindfold them if I could. Others would put their eyes out.~
COPY_TRANS C6ELHAN2 85




INTERJECT_COPY_TRANS JAHEIRAJ 112 YasraenaGalvaery
== YASRAENJ IF ~InParty("Yasraena")~ THEN
~Have you betrayed us, Jaheira? You of all others?~
END



INTERJECT_COPY_TRANS SURAAM 0 YasraenaSuldanDrow
== YASRAENJ IF ~InParty("Yasraena")~ THEN
~Drow fighting against the city of my Divalir! Die, hellspawn that you are--that I might have been!~
END



INTERJECT_COPY_TRANS UDPHAE01 151 YasraenaDoubleDeceivePhaere
==YASRAENJ IF ~InParty("Yasraena")~ THEN
~(Yasraena smiles, and you suddenly feel a chill at the unexpected cruelty of the expression.)~
END



INTERJECT_COPY_TRANS UDSOLA01 117 YasraenaKillSola
==YASRAENJ IF ~InParty("Yasraena")~ THEN
~No, Veldrin! We must not do this thing! We must not--~
==UDSOLA01
~What is she talking about?~
END



INTERJECT_COPY_TRANS UDSOLA01 162 YasraenaMistrustSola
==YASRAENJ IF ~InParty("Yasraena")~ THEN
~It is never wise to trust drow, but I wish that it were not so.~
END



INTERJECT PLAYER1 33 YasraenaTreeofLife
== PLAYER1 IF ~InParty("Yasraena")~ THEN
~(You turn your gaze upon Yasraena, the female drow warrior who has ever struggled against her dark heritage.)~
END
++ ~Yasraena, I go to face Irenicus. You have Divalir. Stay with him in safety and leave this dangerous road to me.~ EXTERN YASRAENJ YasraenaTreeofLife1a
++ ~Irenicus awaits. Are you with me or no?~ EXTERN YASRAENJ YasraenaTreeofLife2a
++ ~I face the greatest battle of my life, Yasraena. I need you to stay with me, now more than ever.~ EXTERN YASRAENJ YasraenaTreeofLife3a

APPEND YASRAENJ
IF ~~ THEN BEGIN YasraenaTreeofLife1a
SAY ~Divalir's life is linked to the Tree, as are all Elves'.~ [YASRA136]
=
~But I would follow you regardless. You have aided me in Divalir's rescue, and I go to repay the debt.~
COPY_TRANS PLAYER1 33
END

IF ~~ THEN BEGIN YasraenaTreeofLife2a
SAY ~Yes, I am with you! You have aided me in Divalir's rescue, and I go to repay the debt.~ [YASRA138]
COPY_TRANS PLAYER1 33
END

IF ~~ THEN BEGIN YasraenaTreeofLife3a
SAY ~Fear not, <CHARNAME>. You have aided me in Divalir's rescue, and I go to repay the debt.~ [YASRA139]
COPY_TRANS PLAYER1 33
END
END



INTERJECT PLAYER1 5 YasraenaSlayer
== YASRAENJ IF ~InParty("Yasraena")~ THEN
~What a thing of horror we have witnessed here, <CHARNAME>.~ [YASRA137]
=
~This is what you carry within your soul?~
=
~Ol zuess ussa xuil treemma lueth brorn.~
END
++ ~Yasraena, I do not need your analysis of events right now.~ EXTERN YASRAENJ YasraenaSlayer1a
++ ~Shut up, Yasraena. I am not in the mood.~ EXTERN YASRAENJ YasraenaSlayer2a
++ ~Would that I were you, to witness it and not become it.~ EXTERN YASRAENJ YasraenaSlayer3a

APPEND YASRAENJ
IF ~~ THEN BEGIN YasraenaSlayer1a
SAY ~Forgive me. But it is not something about which one does not comment.~
IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN YasraenaSlayer2a
SAY ~Fine!~
IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN YasraenaSlayer3a
SAY ~Indeed. It is a dark, savage part of yourself which should never be exposed.~
IF ~~ THEN EXIT
END
END



INTERJECT_COPY_TRANS HellJon 7 YasraenaHellJon1
== YASRAENJ IF ~InParty("Yasraena")~ THEN
~Most would be content to be defeated *once* by us. You, it seems, are not numbered among them.~ [YASRA140]
END



INTERJECT_COPY_TRANS HellJon 10 YasraenaHellJon2
== YASRAENJ IF ~InParty("Yasraena")~ THEN
~Most would be content to be defeated *once* by us. You, it seems, are not numbered among them.~ [YASRA140]
END



INTERJECT_COPY_TRANS HellJon 9 YasraenaHellJon3
== YASRAENJ IF ~InParty("Yasraena")~ THEN
~Most would be content to be defeated *once* by us. You, it seems, are not numbered among them.~ [YASRA140]
END



INTERJECT_COPY_TRANS HellJon 8 YasraenaHellJon4
== YASRAENJ IF ~InParty("Yasraena")~ THEN
~Most would be content to be defeated *once* by us. You, it seems, are not numbered among them.~ [YASRA140]
END



INTERJECT_COPY_TRANS PLAYER1 25 YasraenaInHell
== YASRAENJ IF ~InParty("Yasraena")~ THEN
~Can this be true? Have I been damned even after all my struggles?~ [YASRA141]
=
~Or is it you, <CHARNAME>, who have brought me here?~
END



INTERJECT_COPY_TRANS UDDEMON 8 YasraenaGiveDemonEggs
== YASRAENJ IF ~InParty("Yasraena")~ THEN
~Monster! Fiend! I will take no part in this evil act!~
DO ~LeaveParty()EscapeArea()~
== UDDEMON
~HA! EVEN THE DROW CANNOT STOMACH YOUR EVIL. WHAT DO YOU PROPOSE?~
END



INTERJECT UDDUER01 0 YasraenaUDDuergar
== YASRAENJ IF ~OR(2)Dead("Viconia")!InParty("Viconia")InParty("Yasraena")~ THEN
~Have the courtesy to speak Common to my surface friends!~
== UDDUER01
~Yes, yes, of course! Forgive me.~
== UDDUER02
~Wait, Carlig. This drow is houseless! Look, she bears no insignia!~
== YASRAENJ
~Simpleton! Because I do not wear my insignia openly, you assume I am houseless!~
=
~Know that you have angered a daughter of the Arkennheld House! (And Yasraena bares her teeth and starts forward, swords drawn.)~
== UDDUER01
~No, Mordin spoke in haste. He's always had a loose tongue. There is no need for trouble here.~
== YASRAENJ
~(Yasraena halts her approach.) We almost had a most unfortunate altercation.~
COPY_TRANS UDDUER01 2



INTERJECT_COPY_TRANS C6DRIZZ1 40 YSMeetDrizzt
== YASRAENJ   IF ~InParty("Yasraena")~ THEN
 ~Drizzt Daermon N'a'shezbaernon? Usstan tlun Yasraena d' Qu'ellar Arkhenneld.~
 =
 ~It is good to see that you are yet living free, a hero of this roofless world.~
 == C6DRIZZ1
 ~I little expected to hear the sounds of the tongue of Menzoberranzan here, much less to see one of those from my city.~
 =
 ~I do not know you, but your house I know well. What do you do here? I say again, are you friend or foe?~
END



INTERJECT TRGYP02 2 YSFortuneTold
== TRGYP02 IF ~!InPartySlot(LastTalkedToBy,0)
Name("Yasraena",LastTalkedToBy)~ THEN
~Listen well, little dark one. Your choices have consequences more far-reaching than you know. It is not only your life you risk.~
DO ~SetGlobal("UselessGlobal","LOCALS",1)~ EXTERN YASRAENJ YSFortuneTold1

APPEND YASRAENJ
IF ~~ THEN BEGIN YSFortuneTold1
SAY ~I understand you well, though you speak in mysteries. I stand firm in my choice.~ [YASRA230]
IF ~~ THEN DO ~SetGlobal("UselessGlobal","LOCALS",1)~
EXTERN TRGYP02 YSFortuneTold2
END
END

APPEND TRGYP02
IF ~~ THEN BEGIN YSFortuneTold2
SAY ~Then for you I see light after the long darkness.~
IF ~~ THEN DO ~SetGlobal("UselessGlobal","LOCALS",1)~ EXTERN YASRAENJ YSFortuneTold3
END
END

APPEND YASRAENJ
IF ~~ THEN BEGIN YSFortuneTold3
SAY ~I could have journeyed ten thousand leagues to hear so good a word.~
=
~(Yasraena's face is glowing, and her crimson eyes dance.)~
IF ~~ THEN EXIT
END
END



APPEND SALVANAS
IF ~!InPartySlot(LastTalkedToBy,0)
Name("Yasraena",LastTalkedToBy)~
 THEN BEGIN YSSalvanas
SAY ~Well, hello there, dark and sultry one. I like my women exotic, cruel, and confident.~
=
~Are you going to tie me up and inflict pain on me? Oh please! Oh please!~
IF ~~ THEN DO ~SetGlobal("YasraenaUselessGlobal","LOCALS",1)~ EXTERN YASRAENJ YSSalvanas1
END
END

APPEND YASRAENJ
IF ~Global("YasraenaUselessGlobal","LOCALS",1)~ THEN BEGIN YSSalvanas1
SAY ~Do you enjoy pain?~ [YASRA165]
IF ~~ THEN DO ~SetGlobal("YasraenaUselessGlobal","LOCALS",1)~
EXTERN SALVANAS YSSalvanas2
END
END

APPEND SALVANAS
IF ~~ THEN BEGIN YSSalvanas2
SAY ~Oh yes, but only from a fine specimen of femininity such as yourself!~
IF ~~ THEN DO ~SetGlobal("YasraenaUselessGlobal","LOCALS",1)~ EXTERN YASRAENJ YSSalvanas3
END
END

APPEND YASRAENJ
IF ~~ THEN BEGIN YSSalvanas3
SAY ~You would partake of drow pleasures?~
IF ~~ THEN DO ~SetGlobal("YasraenaUselessGlobal","LOCALS",1)~
EXTERN SALVANAS YSSalvanas4
END
END

APPEND SALVANAS
IF ~~ THEN BEGIN YSSalvanas4
SAY ~Without question or hesitation. Shall I get a room for us?~
IF ~~ THEN DO ~SetGlobal("YasraenaUselessGlobal","LOCALS",1)~
EXTERN YASRAENJ YSSalvanas5
END
END

APPEND YASRAENJ
IF ~~ THEN BEGIN YSSalvanas5
SAY ~I do not offer myself to you, pale one. I am simply curious why you court permanent injury and castration by so boldly propositioning a drow female.~
IF ~~ THEN DO ~SetGlobal("YasraenaUselessGlobal","LOCALS",1)~
EXTERN SALVANAS YSSalvanas6
END
END

APPEND SALVANAS
IF ~~ THEN BEGIN YSSalvanas6
SAY ~(Salvanas' mouth transforms into a thin, grim line.) You jest!~
IF ~~ THEN DO ~SetGlobal("YasraenaUselessGlobal","LOCALS",1)~
EXTERN YASRAENJ YSSalvanas7
END
END

APPEND YASRAENJ
IF ~~ THEN BEGIN YSSalvanas7
SAY ~Will you hazard a limb on that guess?~
IF ~~ THEN DO ~SetGlobal("YasraenaUselessGlobal","LOCALS",1)~
EXTERN SALVANAS YSSalvanas8
END
END

APPEND SALVANAS
IF ~~ THEN BEGIN YSSalvanas8
SAY ~(Looks into his ale mug.) Oh my! Would you look at that! It's time for a refill.~
IF ~~ THEN DO ~SetGlobal("YasraenaUselessGlobal","LOCALS",1)~
EXTERN YASRAENJ YSSalvanas9
END
END

APPEND YASRAENJ
IF ~~ THEN BEGIN YSSalvanas9
SAY ~Xas, plynn khalith wun dosst trinn'tele.~
IF ~~ THEN EXIT
END
END



APPEND ARNGRL01
IF ~!NumTimesTalkedTo(0)
!InPartySlot(LastTalkedToBy,0)
Name("Yasraena",LastTalkedToBy)
Global("Missy2","LOCALS",0)~
THEN BEGIN YSMissy
SAY ~Take a hike, honey. Even if you had a coat, I sure wouldn't handle it!~
=
~You think I want to be poisoned by a drow?! As IF!~
IF ~~ THEN EXIT
END
END



APPEND BAMNG01
IF ~InParty("Yasraena")
See("Yasraena")
!StateCheck("Yasraena",STATE_SLEEPING)
Global("bamng01Yasraena","GLOBAL",0)~
THEN BEGIN YSBAMNG01
SAY ~What is *this*? A black elf? A drow--here?!~
IF ~~ THEN DO ~SetGlobal("bamng01Yasraena","GLOBAL",1)~
EXTERN YASRAENJ YSBAMNG011
END
END

APPEND YASRAENJ
IF ~Global("bamng01Yasraena","GLOBAL",1)~ THEN BEGIN YSBAMNG011
SAY ~Yes, I am drow, but you need not fear me.~
IF ~~ THEN DO ~SetGlobal("bamng01Yasraena","GLOBAL",2)~
EXIT
END
END



APPEND BFTOWN3
IF ~Global("InteractYasraena","LOCALS",0)
See("Yasraena")
InParty("Yasraena")
!StateCheck("Yasraena",STATE_SLEEPING)~ THEN BEGIN YSBridgeHalfling
SAY ~EEEEK! A black elf come to murder us in our beds!~
IF ~~ THEN DO ~SetGlobal("InteractYasraena","LOCALS",1)~
EXTERN YASRAENJ YSBridgeHalfling1
END
END

APPEND YASRAENJ
IF ~~ THEN BEGIN YSBridgeHalfling1
SAY ~Fear not, small one. I mean you no harm.~
IF ~~ THEN EXIT
END
END



APPEND BHELM
IF ~See("Yasraena")
InParty("Yasraena")
!StateCheck("Yasraena",STATE_SLEEPING)
Global("HelmYasraena","LOCALS",0)~ THEN BEGIN YSHelmPriest
SAY ~Greetings to you... wh-what is this?  Why would--how could you *dare* to bring a dark elf in the Watcher's sight?~
IF ~~ THEN DO ~SetGlobal("HelmYasraena","LOCALS",1)~
EXTERN YASRAENJ YSHelmPriest1
END
END

APPEND YASRAENJ
IF ~~ THEN BEGIN YSHelmPriest1
SAY ~(Anger flashes in Yasraena's eyes, but her voice is even.)~
=
~I have done naught to you, nor have I ever injured any servant of the Watcher. Should not the god of unsleeping eyes know thus much?~
IF ~~ THEN EXIT
END
END



APPEND BSAILOR2
IF ~Global("InteractYasraena","LOCALS",0)
InParty("Yasraena")
See("Yasraena")
!StateCheck("Yasraena",STATE_SLEEPING)~ THEN BEGIN YSBridgeSailor
SAY ~You're a--a drow! A gorgeous drow, here in Athkatla! Would you be willing to . . . umm . . . you know--~
IF ~~ THEN DO ~SetGlobal("InteractYasraena","LOCALS",1)~
EXTERN YASRAENJ YSBridgeSailor1
END
END

APPEND YASRAENJ
IF ~~ THEN BEGIN YSBridgeSailor1
SAY ~(Yasraena's hands fly to her sword-hilts, and she responds through clenched teeth.)~
=
~No! Do not dare to suggest such a thing again, male!~
IF ~~ THEN EXIT
END
END



APPEND BURCH2
IF ~Global("InteractYasraena","LOCALS",0)
InParty("Yasraena")
See("Yasraena")
!StateCheck("Yasraena",STATE_SLEEPING)~ THEN BEGIN YSBridgeUrchin
SAY ~MY MOTHER SAYS THAT DARK ELVES SHOULD BE HANGED UNLESS THEY'RE NAMED DRIZZT!!~
IF ~~ THEN DO ~SetGlobal("InteractYasraena","LOCALS",1)~
EXTERN YASRAENJ YSBridgeUrchin1
END
END

APPEND YASRAENJ
IF ~~ THEN BEGIN YSBridgeUrchin1
SAY ~At least there is one whom the surfacers would not kill.~
IF ~~ THEN EXIT
END
END



APPEND CIVIL02
IF ~Global("InteractYasraena","LOCALS",0)
InParty("Yasraena")
See("Yasraena")
!StateCheck("Yasraena",STATE_SLEEPING)~ THEN BEGIN YSDrowTax
SAY ~Wait...  that's a dark elf, isn't it? We have a dark elf tax! I'm afraid you'll have to pay to stay here in the city, miss drow.~
IF ~~ THEN DO ~SetGlobal("InteractYasraena","LOCALS",1)~
EXTERN YASRAENJ YSDrowTax1
END
END

APPEND YASRAENJ
IF ~~ THEN BEGIN YSDrowTax1
SAY ~Pay? To remain here in this city which shuns me? I do not think so. (Yasraena is not angry, but her crimson eyes are clouded.)~
IF ~~ THEN EXIT
END
END



APPEND DELTOW01
IF ~Global("InteractYasraena","LOCALS",0)
InParty("Yasraena")
See("Yasraena")
!StateCheck("Yasraena",STATE_SLEEPING)~ THEN BEGIN YSJumpHer
SAY ~A dark elf? Who let her in here? Quickly, get her! We can take her out!~
IF ~~ THEN DO ~SetGlobal("InteractYasraena","LOCALS",1)~
EXTERN YASRAENJ YSJumpHer1
END
END

APPEND YASRAENJ
IF ~~ THEN BEGIN YSJumpHer1
SAY ~You could not. (Yasraena speaks calmly, her eyes like crimson steel.)~
=
~I suggest you do not even try.~
IF ~~ THEN EXIT
END
END



APPEND DFTOWN1
IF ~Global("InteractYasraena","LOCALS",0)
InParty("Yasraena")
See("Yasraena")
!StateCheck("Yasraena",STATE_SLEEPING)~ THEN BEGIN YSHarlot
SAY ~Someone should call the guards! This place is going to pieces! A dark elf harlot openly showing her face around the city!~
IF ~~ THEN DO ~SetGlobal("InteractYasraena","LOCALS",1)~
EXTERN YASRAENJ YSHarlot1
END
END

APPEND YASRAENJ
IF ~~ THEN BEGIN YSHarlot1
SAY ~(Yasraena sighs.) I am no harlot, but I do not dispute that seeing a drow in the city is rarely a sign of good things to come.~
IF ~~ THEN EXIT
END
END



APPEND DRUFF1
IF ~Global("InteractYasraena","LOCALS",0)
InParty("Yasraena")
See("Yasraena")
!StateCheck("Yasraena",STATE_SLEEPING)~ THEN BEGIN YSRuffian
SAY ~Say, lovely one! You're a dark elf, and you're beautiful. How about it?~
IF ~~ THEN DO ~SetGlobal("InteractYasraena","LOCALS",1)~
EXTERN YASRAENJ YSRuffian1
END
END

APPEND YASRAENJ
IF ~~ THEN BEGIN YSRuffian1
SAY ~I am no strumpet! (Yasraena's temper is roused.) Speak such words again at your peril, jaluk.~
IF ~~ THEN EXIT
END
END



APPEND DSAILOR1
IF ~Global("InteractYasraena","LOCALS",0)
InParty("Yasraena")
See("Yasraena")
!StateCheck("Yasraena",STATE_SLEEPING)~ THEN BEGIN YSSailor1
SAY ~Do me drunken sailor eyes deceive me? Or do I not be lookin' on the loveliest creature I've ever seen--and a dark elf, to boot!~
IF ~~ THEN DO ~SetGlobal("InteractYasraena","LOCALS",1)~
EXTERN YASRAENJ YSSailor11
END
END

APPEND YASRAENJ
IF ~~ THEN BEGIN YSSailor11
SAY ~(Yasraena shrugs.) So long as you do not presume to do more than look, jaluk, I will leave you be.~
IF ~~ THEN EXIT
END
END



APPEND FFCUST04
IF ~Global("InteractYasraena","LOCALS",0)
InParty("Yasraena")
See("Yasraena")
!StateCheck("Yasraena",STATE_SLEEPING)~ THEN BEGIN YSFFCUST04
SAY ~Who let the evil dark elf in 'ere? How do you dare to be here among decent folk?~
IF ~~ THEN DO ~SetGlobal("InteractYasraena","LOCALS",1)~
EXTERN YASRAENJ YSFFCUST041
END
END

APPEND YASRAENJ
IF ~~ THEN BEGIN YSFFCUST041
SAY ~(Yasraena's jaw clenches.) Do not tempt me too far, jaluk, with your own indecency.~
IF ~~ THEN EXIT
END
END



APPEND FFCUST06
IF ~Global("InteractYasraena","LOCALS",0)
InParty("Yasraena")
See("Yasraena")
!StateCheck("Yasraena",STATE_SLEEPING)~ THEN BEGIN YSFFCUST06
SAY ~You've got a lot of pluck, I'll give you that, to be walking openly on the surface.~
IF ~~ THEN DO ~SetGlobal("InteractYasraena","LOCALS",1)~
EXTERN YASRAENJ YSFFCUST061
END
END

APPEND YASRAENJ
IF ~~ THEN BEGIN YSFFCUST061
SAY ~It does take courage. I had not expected a surfacer to see it so.~
IF ~~ THEN EXIT
END
END



APPEND FTOWN1
IF ~Global("InteractYasraena","LOCALS",0)
InParty("Yasraena")
See("Yasraena")
!StateCheck("Yasraena",STATE_SLEEPING)~ THEN BEGIN YSFTOWN1
SAY ~You wouldn't be a drow, would you? Because I wouldn't want to meet a drow!~
IF ~~ THEN DO ~SetGlobal("InteractYasraena","LOCALS",1)~
EXTERN YASRAENJ YSFTOWN11
END
END

APPEND YASRAENJ
IF ~~ THEN BEGIN YSFTOWN11
SAY ~(Yasraena sighs.) I am drow, but fear me not.~
IF ~~ THEN EXIT
END
END



APPEND FTOWN7
IF ~Global("InteractYasraena","LOCALS",0)
InParty("Yasraena")
See("Yasraena")
!StateCheck("Yasraena",STATE_SLEEPING)~ THEN BEGIN YSFTOWN7
SAY ~I envy your lovely dark skin, elf. What *do* you do to keep it so flawless?~
IF ~~ THEN DO ~SetGlobal("InteractYasraena","LOCALS",1)~
EXTERN YASRAENJ YSFTOWN71
END
END

APPEND YASRAENJ
IF ~~ THEN BEGIN YSFTOWN71
SAY ~Do not envy me, jalil. And if you knew what the color of my skin means, you would fear me.~
IF ~~ THEN EXIT
END
END



APPEND GFTOWN01
IF ~Global("InteractYasraena","LOCALS",0)
InParty("Yasraena")
See("Yasraena")
!StateCheck("Yasraena",STATE_SLEEPING)~ THEN BEGIN YSGFTOWN01
SAY ~This place is crawling with drow! I'm moving!~
IF ~~ THEN DO ~SetGlobal("InteractYasraena","LOCALS",1)~
EXTERN YASRAENJ YSGFTOWN011
END
END

APPEND YASRAENJ
IF ~~ THEN BEGIN YSGFTOWN011
SAY ~Living is easy with eyes closed, misunderstanding all you see.~
IF ~~ THEN EXIT
END
END



APPEND GMTOWN01
IF ~Global("InteractYasraena","LOCALS",0)
InParty("Yasraena")
See("Yasraena")
!StateCheck("Yasraena",STATE_SLEEPING)~ THEN BEGIN YSGMTOWN01
SAY ~You're a drow! Shouldn't you be burning at a stake somewhere?~
IF ~~ THEN DO ~SetGlobal("InteractYasraena","LOCALS",1)~
EXTERN YASRAENJ YSGMTOWN011
END
END

APPEND YASRAENJ
IF ~~ THEN BEGIN YSGMTOWN011
SAY ~Shouldn't you take care not to anger a drow warrior?~
IF ~~ THEN EXIT
END
END



APPEND GNOBLEM1
IF ~Global("InteractYasraena","LOCALS",0)
InParty("Yasraena")
See("Yasraena")
!StateCheck("Yasraena",STATE_SLEEPING)~ THEN BEGIN YSGNOBLEM1
SAY ~Another drow crawled out of the gutter? Someone call pest control!~
IF ~~ THEN DO ~SetGlobal("InteractYasraena","LOCALS",1)~
EXTERN YASRAENJ YSGNOBLEM11
END
END

APPEND YASRAENJ
IF ~~ THEN BEGIN YSGNOBLEM11
SAY ~Why do these surfacers think they can insult me whenever they wish? Do they not know of the dark elves' cruel tempers?~
IF ~~ THEN EXIT
END
END



APPEND MTOWN4
IF ~Global("InteractYasraena","LOCALS",0)
InParty("Yasraena")
See("Yasraena")
!StateCheck("Yasraena",STATE_SLEEPING)~ THEN BEGIN YSMTOWN4
SAY ~There really should be an investigation as to why so many drow are crawling about the city!~
IF ~~ THEN DO ~SetGlobal("InteractYasraena","LOCALS",1)~
EXTERN YASRAENJ YSMTOWN41
END
END

APPEND YASRAENJ
IF ~~ THEN BEGIN YSMTOWN41
SAY ~We have our reasons for being here, as do you. It is best not to question them too closely.~
IF ~~ THEN EXIT
END
END



APPEND NOBLEM1
IF ~Global("InteractYasraena","LOCALS",0)
InParty("Yasraena")
See("Yasraena")
!StateCheck("Yasraena",STATE_SLEEPING)~ THEN BEGIN YSNOBLEM1
SAY ~Call the guards and have this dark-skinned fiend thrown in the dungeons!~
IF ~~ THEN DO ~SetGlobal("InteractYasraena","LOCALS",1)~
EXTERN YASRAENJ YSNOBLEM11
END
END

APPEND YASRAENJ
IF ~~ THEN BEGIN YSNOBLEM11
SAY ~To whom do you plead? I walk the streets freely, for the guards do not all share your blind fear of the drow.~
IF ~~ THEN EXIT
END
END



APPEND ORIONA
IF ~Global("InteractYasraena","LOCALS",0)
InParty("Yasraena")
See("Yasraena")
!StateCheck("Yasraena",STATE_SLEEPING)~ THEN BEGIN YSORIONA
SAY ~You lovely, exotic ebon-skinned beauty! I could find ready employment for you.~
IF ~~ THEN DO ~SetGlobal("InteractYasraena","LOCALS",1)~
EXTERN YASRAENJ YSORIONA1
END
END

APPEND YASRAENJ
IF ~~ THEN BEGIN YSORIONA1
SAY ~I am no whore, rivvil! My blades stand between me and such employment!~
IF ~~ THEN EXIT
END
END



APPEND POSTUL3
IF ~Global("InteractYasraena","LOCALS",0)
InParty("Yasraena")
See("Yasraena")
!StateCheck("Yasraena",STATE_SLEEPING)~ THEN BEGIN YSPOSTUL3
SAY ~A dark elf here? Ah, soon there will be fires in the sky and quakes in the earth! The end is near!~
IF ~~ THEN DO ~SetGlobal("InteractYasraena","LOCALS",1)~
EXTERN YASRAENJ YSPOSTUL31
END
END

APPEND YASRAENJ
IF ~~ THEN BEGIN YSPOSTUL31
SAY ~Calm yourself. The herald of the end will doubtless be something a bit grander than a dark elf walking on the surface.~
IF ~~ THEN EXIT
END
END



APPEND POSTUL5
IF ~Global("InteractYasraena","LOCALS",0)
InParty("Yasraena")
See("Yasraena")
!StateCheck("Yasraena",STATE_SLEEPING)~ THEN BEGIN YSPOSTUL5
SAY ~Lathander preserve my eyes! Get that evil creature, that devil, out of my sight!~
IF ~~ THEN DO ~SetGlobal("InteractYasraena","LOCALS",1)~
EXTERN YASRAENJ YSPOSTUL51
END
END

APPEND YASRAENJ
IF ~~ THEN BEGIN YSPOSTUL51
SAY ~I would not stay had you invited me! Your prejudice and fear are pitiable.~
IF ~~ THEN EXIT
END
END



APPEND SBCUST02
IF ~Global("InteractYasraena","LOCALS",0)
InParty("Yasraena")
See("Yasraena")
!StateCheck("Yasraena",STATE_SLEEPING)~ THEN BEGIN YSSBCUST02
SAY ~What kind of devil temptress have you brought in here?~
IF ~~ THEN DO ~SetGlobal("InteractYasraena","LOCALS",1)~
EXTERN YASRAENJ YSSBCUST021
END
END

APPEND YASRAENJ
IF ~~ THEN BEGIN YSSBCUST021
SAY ~I tempt you to nothing, though you tempt my blades to silence you!~
IF ~~ THEN EXIT
END
END



APPEND TRGYP03
IF ~Global("InteractYasraena","LOCALS",0)
InParty("Yasraena")
See("Yasraena")
!StateCheck("Yasraena",STATE_SLEEPING)~ THEN BEGIN YSTRGYP03
SAY ~Well, pretty thing, how is it that your skin got burned so badly?~
IF ~~ THEN DO ~SetGlobal("InteractYasraena","LOCALS",1)~
EXTERN YASRAENJ YSTRGYP031
END
END

APPEND YASRAENJ
IF ~~ THEN BEGIN YSTRGYP031
SAY ~Do you know nothing of the drow? It is my natural color. Black is not so base a hue.~
IF ~~ THEN EXIT
END
END



APPEND URCHIN1
IF ~Global("InteractYasraena","LOCALS",0)
InParty("Yasraena")
See("Yasraena")
!StateCheck("Yasraena",STATE_SLEEPING)~ THEN BEGIN YSURCHIN1
SAY ~I've never seen an elf who looks like you! Looks like somebody dipped you in tar!~
IF ~~ THEN DO ~SetGlobal("InteractYasraena","LOCALS",1)~
EXTERN YASRAENJ YSURCHIN11
END
END

APPEND YASRAENJ
IF ~~ THEN BEGIN YSURCHIN11
SAY ~Hope that you never see another elf who looks like me, child, for they will not be merciful upon your ignorance.~
IF ~~ THEN EXIT
END
END



APPEND URCHIN3
IF ~Global("InteractYasraena","LOCALS",0)
InParty("Yasraena")
See("Yasraena")
!StateCheck("Yasraena",STATE_SLEEPING)~ THEN BEGIN YSURCHIN3
SAY ~I bet you can sneak around and do whatever you want, and the grown-ups never see you!~
IF ~~ THEN DO ~SetGlobal("InteractYasraena","LOCALS",1)~
EXTERN YASRAENJ YSURCHIN31
END
END

APPEND YASRAENJ
IF ~~ THEN BEGIN YSURCHIN31
SAY ~The fewer the people who see me, the safer my life is. Child, your words mean more than you know.~
IF ~~ THEN EXIT
END
END



APPEND VICONIJ
IF ~~ THEN BEGIN YSViccyJealous1
SAY ~Listen, you little renegade! We're sick of your sugary sweetness, your simpering, false politeness!~
=
~Do you really think <CHARNAME> will forget you are a drow simply because you adopt surface manners?~
IF ~~ THEN DO ~SetGlobal("UselessGlobal","LOCALS",1)~
EXTERN YASRAENJ YSViccyJealous2
END
END

APPEND YASRAENJ
IF ~~ THEN BEGIN YSViccyJealous2
SAY ~Common courtesy is not a manner limited to surface cultures, but insults spoken in a fit of temper are typically drow.~
=
~It is good to know that you have not changed, Viconia. You remain the same phindar that House DeVir has ever produced!~
IF ~~ THEN DO ~SetGlobal("UselessGlobal","LOCALS",1)~
EXTERN VICONIJ YSViccyJealous3
END
END

APPEND VICONIJ
IF ~~ THEN BEGIN YSViccyJealous3
SAY ~You have already grown soft on the surface, and I hope to see the day when your past catches up with you.~
=
~We drow are made the way we are for a reason. By rejecting our ways, you make yourself weaker, more vulnerable to defeat.~
=
~When your mother and sisters find you--and they will--the yochlol shall feast upon your heart. And I will laugh with them at your demise.~
IF ~~ THEN DO ~SetGlobal("UselessGlobal","LOCALS",1)~
EXTERN YASRAENJ YSViccyJealous4
END
END

APPEND YASRAENJ
IF ~~ THEN BEGIN YSViccyJealous4
SAY ~Dos elg'caress! Sansiss, xukuthe'l ssindossa! Xal usstan zhal'la elgg dos nin lueth dormagyn lil tresk'ri dal dosst e'trit!~
IF ~~ THEN DO ~SetGlobal("UselessGlobal","LOCALS",1)~
EXTERN VICONIJ YSViccyJealous5
END
END

APPEND VICONIJ
IF ~~ THEN BEGIN YSViccyJealous5
SAY ~That wouldn't be an insult spoken in a fit of temper, would it?~
IF ~~ THEN EXIT
END
END



APPEND VICONIJ
IF ~~ THEN BEGIN YSViconiaRomanceComfort1
SAY ~Why do you still look on Yasraena? She played you for a fool, <CHARNAME>!~
=
~I refuse to be second to any do-gooder renegade. You and I, <CHARNAME>, are finished.~
IF ~~ THEN DO ~SetGlobal("ViconiaRomanceActive","GLOBAL",3)~
EXIT
END
END


APPEND VICONIJ
IF ~~ THEN BEGIN YSViconiaRomanceComfort1b
SAY ~Well, <CHARNAME>, perhaps you do possess a residue of good sense. You choose your drow women wisely.~
IF ~~ THEN EXIT
END
END



APPEND AERIEJ
IF ~~ THEN BEGIN YSAerieRomanceComfort1
SAY ~She didn't deserve you, <CHARNAME>. She didn't know what she had.~
++ ~I don't think so. She seems better off this way.~ GOTO YSAerieComfort1a
++ ~Maybe you're right. It's nice to be appreciated.~ GOTO YSAerieComfort2a
++ ~I don't really feel like talking about this.~ GOTO YSAerieComfort3a
++ ~What are you talking about? I never really cared about Yasraena.~ GOTO YSAerieComfort4a
END

IF ~~ THEN BEGIN YSAerieComfort1a
SAY ~Well, *I* think she was a fool. She had a chance to have *you,* and she let it go. Th-that seems foolish to me.~
=
~(Aerie smiles at you and shyly puts her hand on yours.)~
IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN YSAerieComfort2a
SAY ~I-I appreciate you, you know. (Aerie giggles slightly.) I just wanted you to know . . . .~
=
~(Aerie's voice trails off, but she continues to smile at you.)~
IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN YSAerieComfort3a
SAY ~Oh. (Aerie's face falls.) If you ch-change your mind, I am here for you, <CHARNAME>.~
=
~I mean that.~
IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN YSAerieComfort4a
SAY ~Oh! (Aerie's smile lights her whole face.)~
=
~I don't think I ever been so h-happy to be mistaken in all my life!~
=
~(Suddenly she blushes and says no more, but the glowing smiles remains on her face.)~
IF ~~ THEN EXIT
END
END



EXTEND_BOTTOM UDSILVER 27
IF ~OR(2)Dead("Viconia")!InParty("Viconia")InParty("Yasraena")~ THEN REPLY
~I have no idea how to act like a drow!~
EXTERN UDSILVER YSSilverAdvice
END

APPEND UDSILVER
IF ~~ THEN BEGIN YSSilverAdvice
SAY ~Improvise.~
IF ~~ THEN EXTERN UDSILVER 29
END
END



APPEND JAHEIRAJ
IF ~~ THEN BEGIN YSJaheiraRomanceConflict1
SAY ~<CHARNAME>, I must warn you. You seem to watch Yasraena with more than a common interest, and I do not wish to see you hurt.~
++ ~Why do you care about this at all, Jaheira? It's my heart I'm risking.~ GOTO YasraenaJaheiraConflict1a
++ ~Why would I be hurt?~ GOTO YasraenaJaheiraConflict2a
++ ~Just shut up! It's none of your business.~ GOTO YasraenaJaheiraConflict3a
END

IF ~~ THEN BEGIN YasraenaJaheiraConflict1a
SAY ~You ask this? After all that we have been through together, it should not be necessary.~
=
~We have suffered much together. Our friendship is old and strong. What more reason do I need?~
=
~And again, I warn you. Yasraena's heart is not for you.~
IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN YasraenaJaheiraConflict2a
SAY ~Because I see no return in her eyes. I see no answering spark in her when your gaze rests on her.~
=
~I see, too, a familiar pain in her face. She has lost a great love.~
++ ~As have you, Jaheira. I understand. (Press Jaheira's hand.)~ GOTO YasraenaJaheiraConflict2b
++ ~But the love *is* lost. When the heart heals, it can love again.~ GOTO YasraenaJaheiraConflict2b
END

IF ~~ THEN BEGIN YasraenaJaheiraConflict2b
SAY ~You are wise, <CHARNAME>, in this. But still, I warn you. Yasraena's heart is not for you.~
IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN YasraenaJaheiraConflict3a
SAY ~(Jaheira's eyes spark as she tosses her multitude of braids.) Then you deserve what is coming to you!~
IF ~~ THEN DO ~SetGlobal("JaheiraRomanceActive","GLOBAL",3)~
EXIT
END
END



APPEND AERIEJ
IF ~~ THEN BEGIN YSAerieJealous1
SAY ~<CHARNAME>, why do you waste so much time talking to a drow? She'll just poison you in the end!~
IF ~~ THEN DO ~SetGlobal("UselessGlobal","LOCALS",1)~
EXTERN YASRAENJ YSAerieJealous2
END
END

APPEND YASRAENJ
IF ~~ THEN BEGIN YSAerieJealous2
SAY ~Why do you say this? In what way have I injured you? Ah, but it is enough just to be--and be a drow.~
IF ~~ THEN DO ~SetGlobal("UselessGlobal","LOCALS",1)~
EXTERN AERIEJ YSAerieJealous3
END
END

APPEND AERIEJ
IF ~~ THEN BEGIN YSAerieJealous3
SAY ~Of course it's enough! It is more than enough! I don't know why <CHARNAME> even keeps you in this group!~
=
~You're a--a blight!~
IF ~~ THEN DO ~SetGlobal("UselessGlobal","LOCALS",1)~
EXTERN YASRAENJ YSAerieJealous4
END
END

APPEND YASRAENJ
IF ~~ THEN BEGIN YSAerieJealous4
SAY ~(Yasraena's eyes flash crimson flame.) A blight? You darthiir refuse to look beyond--Oloth plynn dos!~
=
~(Yasraena turns abruptly and begins to walk away.)~
IF ~~ THEN DO ~SetGlobal("UselessGlobal","LOCALS",1)~
EXTERN AERIEJ YSAerieJealous5
END
END

APPEND AERIEJ
IF ~~ THEN BEGIN YSAerieJealous5
SAY ~(Aerie smiles up at you, pleased.)~
++ ~Thanks, Aerie. I was sick of that drow bothering me.~ EXTERN YASRAENJ YSAerieJealous51a
++ ~Aerie! I'm surprised at you! Why are you so cruel to Yasraena?~ EXTERN AERIEJ YSAerieJealous52a
++ ~Wait, Yasraena! Ignore Aerie. I *want* to talk to you.~ EXTERN YASRAENJ YSAerieJealous53a
END
END

APPEND YASRAENJ
IF ~~ THEN BEGIN YSAerieJealous51a
SAY ~You shall certainly be troubled by me no more, <CHARNAME>!~
IF ~~ THEN DO ~SetGlobal("YasraenaRA","GLOBAL",3)~
EXTERN AERIEJ YSAerieJealous51b
END
END

APPEND AERIEJ
IF ~~ THEN BEGIN YSAerieJealous51b
SAY ~(Aerie giggles.) You're welcome, <CHARNAME>. I know I would've wanted someone to rescue me from her!~
IF ~~ THEN EXIT
END
END

APPEND AERIEJ
IF ~~ THEN BEGIN YSAerieJealous52a
SAY ~C-cruel! I'm not! I'm *not*! I just wanted to--I thought--~
IF ~~ THEN DO ~SetGlobal("UselessGlobal","LOCALS",1)~
EXTERN YASRAENJ YSAerieJealous52b
END
END

APPEND YASRAENJ
IF ~~ THEN BEGIN YSAerieJealous52b
SAY ~(Yasraena turns back when you speak in her defense.) It does not matter. I have endured worse scorn in my sojourn on the surface.~
IF ~~ THEN EXIT
END
END

APPEND YASRAENJ
IF ~~ THEN BEGIN YSAerieJealous53a
SAY ~I would not wish to "poison" you with my words. (She is obviously indisposed for further conversation.)~
IF ~~ THEN EXIT
END
END



APPEND JAHEIRAJ
IF ~~ THEN BEGIN YSJaheiraRomanceComfort1
SAY ~<CHARNAME>, I could not help but notice how you suffer watching her. Do you wish to speak of it?~
++ ~No. I don't.~ GOTO YasraenaJaheiraComfort1a
++ ~Yes. I couldn't help wanting her, but she didn't want me!~ GOTO YasraenaJaheiraComfort2a
++ ~Yes, but I don't know what to say.~ GOTO YasraenaJaheiraComfort3a
++ ~What are you talking about? I care nothing for Yasraena.~ GOTO YasraenaJaheiraComfort4a
END

IF ~~ THEN BEGIN YasraenaJaheiraComfort1a
SAY ~I see. I just wanted you to know that I am here to listen if you need it.~
=
~You have listened to me often enough! I can certainly bear to hear your troubles.~
IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN YasraenaJaheiraComfort2a
SAY ~(Anger flashes in Jaheira's eyes.)  Do not say that! You did not really love her! You could not!~
++ ~Who are you to say whom I can love?~ GOTO YasraenaJaheiraComfort2b
++ ~Why are you so angry?~ GOTO YasraenaJaheiraComfort2c
++ ~I did love her, but she did not love me. That is the way of things sometimes.~ GOTO YasraenaJaheiraComfort2d
END

IF ~~ THEN BEGIN YasraenaJaheiraComfort2b
SAY ~(Jaheira calms herself.) I speak from observation. You did not love her; you were attracted to her, but nothing more. That is all. But it still stings.~
IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN YasraenaJaheiraComfort2c
SAY ~I am not angry! (Jaheira calms herself.) It pains me to see you hurt, <CHARNAME>. That is all. And I am here to listen if you need to speak of it.~
IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN YasraenaJaheiraComfort2d
SAY ~Yes, sometimes it is. (Jaheira's voice is unexpectedly soft.) I did not want this for you, <CHARNAME>, but it happened. There is still a chance of happiness for you. Do not forget it.~
IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN YasraenaJaheiraComfort3a
SAY ~(Jaheira places her hand over yours.) Sometimes there is no need to say anything. To know that someone cares enough to listen can be enough. I know that from experience. After all, you have listened to me often enough! (She presses your hand, her touch pleasant on your skin.)~
IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN YasraenaJaheiraComfort4a
SAY ~(Jaheira smiles.) Sometimes it is pleasant to be mistaken. I am glad to hear it.~
IF ~~ THEN EXIT
END
END

CHAIN
 IF WEIGHT #-1 ~See("Yasraena")
    InParty("Yasraena")
    Global("YSBelminAttack","AR0700",0)~ THEN BELMIN YSBelminAttack
    ~A drow? The foulest of all beings is an elf, and the worst of those is a drow!~
 DO ~SetGlobal("YSBelminAttack","AR0700",1)~
  == YASRAENJ IF ~See("Yasraena") InParty("Yasraena")~ THEN
     ~I could agree with you about the drow, but the elves do not deserve your ire.~
  == BELMIN ~You know nothing!~ DO ~Enemy() Attack("Yasraena")~
EXIT


APPEND SEVBAR01
IF WEIGHT #-1 ~!InPartySlot(LastTalkedToBy,0)
Name("Yasraena",LastTalkedToBy)~
 THEN BEGIN YSPatricia
SAY ~Y'are a baggage! Hang! Beg! Starve! Die in the streets!~
IF ~~ THEN DO ~SetGlobal("UselessGlobal","LOCALS",1)~ EXTERN YASRAENJ YSPatricia1
END
END

APPEND YASRAENJ
IF ~~ THEN BEGIN YSPatricia1
SAY ~I presume that means you do not serve drow.~  [YASRA232]
IF ~~ THEN DO ~SetGlobal("UselessGlobal","LOCALS",1)~
EXTERN SEVBAR01 YSPatricia2
END
END

APPEND SEVBAR01
IF ~~ THEN BEGIN YSPatricia2
SAY ~That's exactly what it means. Now get out!~
IF ~~ THEN DO ~SetGlobal("UselessGlobal","LOCALS",1)~ EXTERN YASRAENJ YSPatricia3
END
END

APPEND YASRAENJ
IF ~~ THEN BEGIN YSPatricia3
SAY ~Why should you be any different?~
=
~(Yasraena turns away, a look of resignation on her face.)~
IF ~~ THEN EXIT
END
END
